<?
////////////// special thanks to   RINIX    ///////////////////////////////////////////
$_gnu_url = "/gnu";   //<--- 그누보드가 설치된 디렉토리 이름을 쓰세요          //////////////////////////////
$g4_path = "$_SERVER[DOCUMENT_ROOT]/gnu";  /////<--- 그누보드가 설치된 디렉토리 이름을 쓰세요   


include_once("$g4_path/common.php");


/////////////////////ztyle_v031.swf의 사진크기 (580*331)///////ztyle_v032.swf의 사진크기 (416*236)//////////////

$thumb_width = "580"; ///// 플래시에서 보여지는 사진 가로크기(변경하지 마세요)
$thumb_height = "331"; /////플래시에서 보여지는 사진 가로크기(변경하지 마세요)

	//latest lib 을 참조 하여 작성 합니다.
	$bo_table = "photo";//  게시판 테이블 이름
	$rows=10; // 가져올 이미지 수 (너무 많이 가져오면 속도가 느립니다)
	$subject_len=24; //제목은 나오지 않도록 했습니다. 플래시에서 글자가 깨져요.
	

	$list = array();// 배열 생성

    $sql = " select * from $g4[board_table] where bo_table = '$bo_table'";
    $board = sql_fetch($sql);// 보드 테이블의 정보를 가져 옵니다.

    $tmp_write_table = $g4['write_prefix'] . $bo_table; // 게시판 테이블 전체이름

    $sql = " select * from $tmp_write_table where wr_is_comment = 0 order by wr_num limit 0, $rows ";

    $result = sql_query($sql);// 게시판의 목록을 가져와 배열에 저장합니다.
    for ($i=0; $row = sql_fetch_array($result); $i++) 
        $list[$i] = get_list($row, $board, $latest_skin_path, $subject_len);


$str .= "<?xml version='1.0' encoding='{$g4[charset]}'?>\n
<Boardinfo>\n
";

		for($i=0; $i<count($list); $i++){ // 리스트 목록 만큼 루프.
			for($j=0; $j<$list[$i][file][count]; $j++){
				if($list[$i][file][$j][view]){
					$subject = iconv("EUC-KR", "UTF-8", stripslashes($list[$i][subject]));
					$author = iconv("EUC-KR", "UTF-8", stripslashes($list[$i][wr_name]));
					$file = "$_gnu_url/data/file/$bo_table/{$list[$i][file][$j][file]}";
					$thumb = "/phpThumb/phpThumb.php?src=".$file."&w=".$thumb_width."&h=".$thumb_height."&zc=1&fltr[]=usm|100|1|2 ";
					$url = "$_gnu_url/bbs/board.php?bo_table=".$bo_table."&wr_id={$list[$i][wr_id]}";
					break;
				}
			}

				$str .="<Contentinfo>\n
				<imgLocation>".$thumb."</imgLocation>\n
				<Subject>".$subject."</Subject>\n
				<Author>by  ".$author."</Author>\n
				<Date>".$list[$i][datetime2]."</Date>\n
				<href>".$url."</href>\n
				</Contentinfo>\n\n
				";		
		}


$str .= "</Boardinfo>\n";
 
echo($str);

?>
